On this page
No Headings
Deprecation notice: TheMarks the status of an invoice, by ID, as refunded./v1/invoicesendpoint is deprecated. Use the/v2/invoicesendpoint instead. For details, see PayPal Invoicing Basic Integration.
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicingThe ID of the invoice for which to generate a QR code.
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
curl -X POST "https://api-m.paypal.com/v1/invoicing/v1/invoicing/invoices/string/record-refund" \ -H "Content-Type: application/json" \ -d '{}'{
"name": "string",
"debug_id": "string",
"message": "string",
"information_link": "string",
"details": [
{
"field": "string",
"issue": "string"
}
]
}The date when the invoice was refunded, in Internet date and time format. For example, 2014-02-27 PST.
date-timeA note associated with the refund.
The currency and amount to record as refunded. If you omit the amount, the total invoice paid amount is recorded as refunded.